ServersReplace server access rules
Servers

Replace server access rules

Replace all access control rules for a server.

curl -X PUT "https://api.mythic-analytics.com/api/v1/mcp/servers/example_string/access" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "rules": [
    {
      "client_id": "acme-retail",
      "allowed": true,
      "tool_restrictions": [
        "example_string"
      ]
    }
  ]
}'
{
  "success": true,
  "data": [
    {
      "client_id": "acme-retail",
      "allowed": true,
      "tool_restrictions": [
        "example_string"
      ]
    }
  ]
}
PUT
/mcp/servers/{id}/access
PUT
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

MCP server identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

MCP server identifier.

Body

application/json

Responses

successboolean
dataarray